package com.jojubanking.boot.module.system.convert.orderview;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.orderview.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.orderview.OrderViewDO;

/**
 * VIEW Convert
 *
 * @author admin
 */
@Mapper
public interface OrderViewConvert {

    OrderViewConvert INSTANCE = Mappers.getMapper(OrderViewConvert.class);

    OrderViewDO convert(OrderViewCreateReqVO bean);

    OrderViewDO convert(OrderViewUpdateReqVO bean);

    OrderViewRespVO convert(OrderViewDO bean);

    List<OrderViewRespVO> convertList(List<OrderViewDO> list);

    PageResult<OrderViewRespVO> convertPage(PageResult<OrderViewDO> page);

    List<OrderViewExcelVO> convertList02(List<OrderViewDO> list);

}
